package com.liang.dao;

import com.liang.entity.LoginLog;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;


/**
 * @author
 * @date 2023-02-18-12:58
 **/
@Repository
public interface LoginLogMapper {

    int saveLoginlog(LoginLog loginLog);

    List<LoginLog> getLoginLoglist(Map map);

    List<Map> onlineList(Map paraMap);

    int batchDelete(@Param("logIdList") List<String> logIdList);

    void emptyLog();
}
